CryptoContext.h File Reference
`#include <commoncpp/config.h>`
`#include <ccrtp/rtppkt.h>`
`#include <stdint.h>`
Include dependency graph for CryptoContext.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | CryptoContext
| The implementation for a SRTP cryptographic context. More...

## Macros

#define | REPLAY_WINDOW_SIZE 64

## Variables

const int | SrtpAuthenticationNull = 0
const int | SrtpAuthenticationSha1Hmac = 1
const int | SrtpAuthenticationSkeinHmac = 2
const int | SrtpEncryptionNull = 0
const int | SrtpEncryptionAESCM = 1
const int | SrtpEncryptionAESF8 = 2
const int | SrtpEncryptionTWOCM = 3
const int | SrtpEncryptionTWOF8 = 4

## Macro Definition Documentation

## REPLAY_WINDOW_SIZE

#define REPLAY_WINDOW_SIZE 64

## Variable Documentation

## SrtpAuthenticationNull

const int SrtpAuthenticationNull = 0

## SrtpAuthenticationSha1Hmac

const int SrtpAuthenticationSha1Hmac = 1

## SrtpAuthenticationSkeinHmac

const int SrtpAuthenticationSkeinHmac = 2

## SrtpEncryptionAESCM

const int SrtpEncryptionAESCM = 1

## SrtpEncryptionAESF8

const int SrtpEncryptionAESF8 = 2

## SrtpEncryptionNull

const int SrtpEncryptionNull = 0

## SrtpEncryptionTWOCM

const int SrtpEncryptionTWOCM = 3

## SrtpEncryptionTWOF8

const int SrtpEncryptionTWOF8 = 4